package com.ozs.common.core.domain.vo;

import com.ozs.common.vo.PageVo;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wyy
 * @subject
 * @creat 2023/3/14
 */
@Data
public class SysDictDataVo extends PageVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 字典编码 */
    private Long dictCode;

    /** 字典排序 */
    private Long dictSort;

    /** 字典标签 */
    private String dictLabel;

    /** 字典键值 */
    private String dictValue;

    /** 字典类型 */
    private String dictType;

    /** 样式属性（其他样式扩展） */
    private String cssClass;

    /** 表格字典样式 */
    private String listClass;

    /** 是否默认（Y是 N否） */
    private Integer isDefault;

    /** 状态（1正常 2停用） */
    private Integer status;
}
