package com.ozs.common.core.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.annotation.Excel;
import com.ozs.common.vo.PageVo;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wyy
 * @subject
 * @creat 2023/3/15
 */
@Data
public class SysLoginInfoVo extends PageVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 序号
     */
    private Long infoId;

    /**
     * 用户账号
     */
    private String userName;

    /**
     * 登录状态
     */
    private String status;

    /**
     * 登录地址
     */
    private String ipaddr;

    /**
     * 登录地点
     */
    private String loginLocation;

    /**
     * 浏览器
     */
    private String browser;

    /**
     * 操作系统
     */
    private String os;

    /**
     * 提示消息
     */
    private String msg;

    /**
     * 访问时间
     */
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private Date loginTime;

    /**
     * 访问开始时间
     */
    @JsonFormat(
            pattern = "yyyy-MM-dd"
    )
    private Date startTime;

    /**
     * 访问结束时间
     */
    @JsonFormat(
            pattern = "yyyy-MM-dd"
    )
    private Date endTime;
}
