package com.ozs.common.core.domain.vo;


import com.ozs.common.vo.PageVo;
import lombok.Data;

import java.io.Serializable;

/**
 * 用户对象 sys_user
 *
 * @author hx
 */
@Data
public class SysUserVo extends PageVo implements Serializable {
    private static final long serialVersionUID = 1L;
    
    /**
     * 部门ID
     */
    private Long deptId;

    /**
     * 用户账号
     */
    private String userName;

    /**
     * 真实姓名
     */
    private String nickName;
    
    /**
     * 手机号码
     */
    private String phoneNum;

   
    /**
     * 帐号状态（0正常 1停用）
     */
    private Integer status;

   
}
