package com.ozs.common.utils;

import org.springframework.util.ObjectUtils;

import java.math.BigDecimal;
import java.text.DecimalFormat;

/**
 * @author Administrator
 * 位置里程规则：入库的里程单位精确到米m，
 * 显示时换算成公里标kxx+xxx显示，例
 * 800m显示为k0+800 ；
 * 1000m显示为k1+0；
 * 1500m显示为k1+500 ;
 * 2100m显示为k2+100
 */
public class AppendUtils {
    public static String stringAppend(Integer number) {
        String s = null;
        int i = 0;
        if (number >= 1000) {
            BigDecimal e = new BigDecimal(number);
            BigDecimal f = new BigDecimal(1000);
            BigDecimal divide = e.divide(f);
            String d = divide.toString();
            String[] split = d.split("\\.");
            StringBuilder stringBuilder = new StringBuilder();
            if (split.length == 1) {
                stringBuilder.append("K" + split[0] + "+0");
            } else {
                stringBuilder.append("K" + split[0]);
                if (split.length > 1) {
                    stringBuilder.append("+");
                    double end = Double.parseDouble(("0."+split[1]));
                    int num=(int) (end * 1000);
                    stringBuilder.append(num);
                }
            }
            return stringBuilder.toString();
        } else {
            return "K0+" + number;
        }
    }

    public static void main(String[] args) {
        String s = AppendUtils.stringAppend(800);
        System.out.println(s);
    }

    public static int stringSplit(String miles) {
        int substring = 0;
        String[] split = miles.split("\\+");
        if (split.length > 1) {
            for (char c : split[0].toCharArray()) {
                if (c == 'K' || c == 'k') {
                    substring++;
                }
            }
            int number = Integer.parseInt(split[1]);
            int integer = Integer.parseInt(split[0].substring(substring));
            integer = integer * 1000;
            return integer + number;
        } else {
            for (char c : miles.toCharArray()) {
                if (c == 'K') {
                    substring++;
                }
            }
            int integer = Integer.parseInt(miles.substring(substring));
            integer = integer * 1000;
            return integer;
        }
    }
}
